tntdb::Result::const_iterator Class Reference

This implements a constant iterator to a result-set. More...

`#include <result_iterator.h>`

Inheritance diagram for tntdb::Result::const_iterator:

## Public Types

typedef const value_type & | const_reference
typedef const value_type * | const_pointer

## Public Member Functions

| const_iterator (const Result &r, size_type off)
bool | operator== (const const_iterator &it) const
| Returns true, if the passed iterator points to the same row. More...
bool | operator!= (const const_iterator &it) const
| Returns true, if the passed iterator points to different rows. More...
const_iterator & | operator++ ()
| Advances the iterator to the next element and returns the iterator to that element. More...
const_iterator | operator++ (int)
| Advances the iterator to the next element and returns the previous iterator. More...
const_iterator | operator-- ()
| Moves the iterator to the previous element and returns the iterator to that element. More...
const_iterator | operator-- (int)
| Moves the iterator to the previous element and returns the previous iterator. More...
const_reference | operator* () const
| returns a reference to the current Row-object. More...
const_pointer | operator-> () const
| returns a pointer to the current Row-object. More...
const_iterator & | operator+= (difference_type n)
| Advances the iterator n elements and returns the iterator to that element. More...
const_iterator | operator+ (difference_type n) const
| Returns a iterator, which points n elements further. More...
const_iterator & | operator-= (difference_type n)
| Moves the iterator n elements back and returns the iterator to that element. More...
const_iterator | operator- (difference_type n) const
| Returns a iterator, which points n elements back. More...
difference_type | operator- (const const_iterator &it) const
| Returns the distance between 2 iterators. More...

## Detailed Description

This implements a constant iterator to a result-set.

## Member Function Documentation

bool tntdb::Result::const_iterator::operator!= | ( | const const_iterator & | it) |  | const

inline

Returns true, if the passed iterator points to different rows.

The iterators should point to the same resultset. This is not checked. Only the offsets are considered.

const_reference tntdb::Result::const_iterator::operator* | ( | ) |  | const

inline

returns a reference to the current Row-object.

const_iterator tntdb::Result::const_iterator::operator+ | ( | difference_type | n) |  | const

inline

Returns a iterator, which points n elements further.

const_iterator& tntdb::Result::const_iterator::operator++ | ( | ) |  |

inline

Advances the iterator to the next element and returns the iterator to that element.

const_iterator tntdb::Result::const_iterator::operator++ | ( | int | ) |  |

inline

Advances the iterator to the next element and returns the previous iterator.

const_iterator& tntdb::Result::const_iterator::operator+= | ( | difference_type | n) |  |

inline

Advances the iterator n elements and returns the iterator to that element.

const_iterator tntdb::Result::const_iterator::operator- | ( | difference_type | n) |  | const

inline

Returns a iterator, which points n elements back.

difference_type tntdb::Result::const_iterator::operator- | ( | const const_iterator & | it) |  | const

inline

Returns the distance between 2 iterators.

The iterators should point to the same resultset. This is not checked. Only the offsets are used.

const_iterator tntdb::Result::const_iterator::operator-- | ( | ) |  |

inline

Moves the iterator to the previous element and returns the iterator to that element.

const_iterator tntdb::Result::const_iterator::operator-- | ( | int | ) |  |

inline

Moves the iterator to the previous element and returns the previous iterator.

const_iterator& tntdb::Result::const_iterator::operator-= | ( | difference_type | n) |  |

inline

Moves the iterator n elements back and returns the iterator to that element.

const_pointer tntdb::Result::const_iterator::operator-> | ( | ) |  | const

inline

returns a pointer to the current Row-object.

bool tntdb::Result::const_iterator::operator== | ( | const const_iterator & | it) |  | const

inline

Returns true, if the passed iterator points to the same row.

The iterators should point to the same resultset. This is not checked. Only the offsets are considered.

The documentation for this class was generated from the following file:

- tntdb/bits/result_iterator.h